/*
 * $Id: frag.h,v 1.2 2002/05/04 15:33:35 kenta Exp $
 *
 * Copyright 2002 Kenta Cho. All rights reserved.
 */

/**
 * Frag and bonus data.
 *
 * @version $Revision: 1.2 $
 */
#include "vector.h"

#define FRAG_MAX 16

typedef struct {
  Vector pos, vel, stPos;
  int rdSpc;
  int color;
  int cnt;
} Frag;

typedef struct {
  Vector pos, vel;
  int score;
  int cnt;
} Bonus;

void initFrags();
void clearFrags();
void moveFrags();
void addFrag(int color, int rdSpc, long x, long y);
void setBonus(int score, long x, long y);
