/*
 * $Id: man.h,v 1.1.1.1 2002/05/04 09:19:09 kenta Exp $
 *
 * Copyright 2002 Kenta Cho. All rights reserved.
 */

/**
 * Player's wall data.
 *
 * @version $Revision: 1.1.1.1 $
 */
#include "vector.h"

typedef struct {
  Vector pos, vel, pPos;
} Man;

#define MAN_MAX 2
#define MAN_LENGTH ((8*5)<<8)
#define MAN_WIDTH (8<<8)

extern Man man[MAN_MAX];

void initMen();
void clearMen();
void moveMen(int key);
