/*
 * $Id: soundmng.h,v 1.3 2002/05/06 09:59:43 kenta Exp $
 *
 * Copyright 2002 Kenta Cho. All rights reserved.
 */

/**
 * Sounder manager header file.
 *
 * @version $Revision: 1.3 $
 */
#define BGM_NUM 1

#define PRESS_SE_NUM 0
#define WARN_SE_NUM 1
#define BONUS_SE_NUM 2

extern void far *bgmBuf[BGM_NUM];
extern void far *seBuf;

void initSound();
void closeSound();
void playBgm(int num, int mode);
void stopBgm();
void fadeBgm();
void playSe(int num);
