/*
 * $Id: vector.h,v 1.1.1.1 2002/05/04 09:19:09 kenta Exp $
 *
 * Copyright 2001 Kenta Cho. All rights reserved.
 */

/**
 * Vector data.
 *
 * @version $Revision: 1.1.1.1 $
 */
#ifndef DEF_VECTOR
typedef struct {
  long x, y;
} Vector;
#define DEF_VECTOR
#endif

Vector vctGetElement(Vector *v1, Vector *v2);
void vctAdd(Vector *v1, Vector *v2);
void vctSub(Vector *v1, Vector *v2);
void vctMul(Vector *v1, long a);
long vctSize(Vector *v);
