/*
 * $Id: attrcmng.h,v 1.3 2002/05/05 15:15:02 kenta Exp $
 *
 * Copyright 2002 Kenta Cho. All rights reserved.
 */

/**
 * Attract manager header file.
 *
 * @version $Revision: 1.3 $
 */
#define RANKING_NUM 10

typedef struct {
  long score[RANKING_NUM];
} Ranking;

extern int timerBlink;

Boolean loadPrefs();
Boolean savePrefs();
void initRanking();
void gotoTitle();
void gotoGameover();
void gotoPause();
void handleTitle();
void handleGameover();
void handlePause();
void startStageMessage(int n);
void printStageMessage(int c);
void startTimeMessage();
void printTimeMessage(int t);
void startClearMessage(int t);
